Item Logo
Wms apiApi referenceItem master api

Component Import

Component Import API

Component Import API is used to create or update component relationships for kitting items within a system. This article introduces the general Component Import API for easily understanding and applying this API.

Introduction

Component Import API enables users to manage the components that make up a new kit by either establishing new relationships between items or updating existing ones. It’s essential for ensuing that the system correctly reflect the composition of kit products, aiding in inventory management and supporting accurate order fulfillment.

API Request

API: POST /edi/item-master/component/import Body Request:


FieldName


Description

DataType

Length

Required

Version

Sample

Root









1

CompanyID


Hard code, assigned by UNIS system admin.

string

15

Yes

1.4

"LT"

2

CustomerID


assigned by UNIS accounting dept.

string

15

Yes

1.4

"AUKINT0001"

3

Components


mapping about the components

array


Yes

1.4



3.1

ItemID

Component item id

string


Yes

1.4

Item-A-01


3.2

ParentItemID

Kitting item parent id

string


Yes

1.4

Item-A


3.3

Qty

Component item quantity

int


Yes

1.4



3.4

UOM

Component item unit

string


Yes

1.4

EA

Example

Request